Content

NetSpider Help Content

Toolbar and Statusbar

NetSpider Help is divided to seven chapters. You can receive the necessary information by following the links. On every page in this help there is a button "Home" which returns you back on this page.

It is recommended to see the Screenshot of the program before reading this help.


About NetSpider

Information about NetSpider, license agreenment for it, conditions for distribution of program and contact information.


About

About NetSpider

Released on 14.12.1999

Copyright © 1991-1999 Integral Systems Inc.

Program is written by Nikolay Iliev

South Africa '99

This program is not sponsored by anyone.


License

License Agreement

NETSPIDER CLIENT LICENSE AGREEMENT

BY CLICKING THE ACCEPTANCE BUTTON OR INSTALLING OR USING THE NETSPIDER SOFTWARE (THE "PRODUCT"), THE INDIVIDUAL OR ENTITY LICENSING THE PRODUCT ("LICENSEE") IS CONSENTING TO BE BOUND BY AND IS BECOMING A PARTY TO THIS AGREEMENT. IF LICENSEE DOES NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, THE BUTTON INDICATING NON-ACCEPTANCE MUST BE SELECTED, AND LICENSEE MUST NOT INSTALL OR USE THE PRODUCT.

1. LICENSE GRANT. Integral Systems grants Licensee a non-exclusive and non-transferable license to reproduce and use for personal or internal business purposes the executable code version of the Product, provided any copy must contain all of the original proprietary notices. This license does not entitle Licensee to receive from Integral Systems hard-copy documentation, technical support, telephone assistance, or enhancements or updates to the Product. Licensee may not customize or redistribute the Product. In the event Licensee wishes to redistribute or sublicense the Product, either for profit or otherwise, Licensee must first obtain written permission from Integral Systems to do so.

2. RESTRICTIONS. Except as otherwise expressly permitted in this Agreement, Licensee may not: (i) modify or create any derivative works of the Product or documentation, including translation or localization; (ii) decompile, disassemble, reverse engineer, or otherwise attempt to derive the source code for the Product (except to the extent applicable laws specifically prohibit such restriction); (iii) redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer rights to the Product; (iv) remove or alter any trademark, logo, copyright or other proprietary notices, legends, symbols or labels in the Product; or (v) publish any results of benchmark tests run on the Product to a third party without Integral Systems prior written consent.

3. TERMINATION. Without prejudice to any other rights, Integral Systems may terminate this Agreement if Licensee breaches any of its terms and conditions. Upon termination, Licensee shall destroy all copies of the Product.

4. PROPRIETARY RIGHTS. Title, ownership rights, and intellectual property rights in the Product shall remain in Integral Systems and/or its suppliers. Licensee acknowledges such ownership and intellectual property rights and will not take any action to jeopardize, limit or interfere in any manner with Integral Systems or its suppliers' ownership of or rights with respect to the Product. The Product is protected by copyright and other intellectual property laws and by international treaties. Licensee agrees, at its expense, to defend and hold Integral Systems and its affiliates harmless from any and all costs, damages and reasonable attorneys' fees resulting from any claim that Licensee's use of the Product has injured or otherwise violated any right of any third party or violates any law.

5. DISCLAIMER OF WARRANTY. THE PRODUCT IS PROVIDED FREE OF CHARGE AND ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, INCLUDING WITHOUT LIMITATION THE WARRANTIES THAT IT IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PRODUCT IS BORNE BY LICENSEE. SHOULD THE PRODUCT PROVE DEFECTIVE IN ANY RESPECT, LICENSEE AND NOT INTEGRAL SYSTEMS OR ITS SUPPLIERS OR RESELLERS ASSUMES THE ENTIRE COST OF ANY SERVICE AND REPAIR. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS AGREEMENT. NO USE OF THE PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.

6. LIMITATION OF LIABILITY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL INTEGRAL SYSTEMS BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE PRODUCT, INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF THE LEGAL OR EQUITABLE THEORY (CONTRACT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED. IN ANY CASE, INTEGRAL SYSTEMS ENTIRE LIABILITY UNDER ANY PROVISION OF THIS AGREEMENT SHALL NOT EXCEED IN THE AGGREGATE THE SUM OF THE FEES LICENSEE PAID FOR THIS LICENSE (IF ANY) AND FEES FOR SUPPORT OF THE PRODUCT RECEIVED BY INTEGRAL SYSTEMS UNDER A SEPARATE SUPPORT AGREEMENT (IF ANY), WITH THE EXCEPTION OF DEATH OR PERSONAL INJURY CAUSED BY THE NEGLIGENCE OF INTEGRAL SYSTEMS TO THE EXTENT APPLICABLE LAW PROHIBITS THE LIMITATION OF DAMAGES IN SUCH CASES. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT BE APPLICABLE. INTEGRAL SYSTEMS IS NOT RESPONSIBLE FOR ANY LIABILITY ARISING OUT OF CONTENT PROVIDED BY LICENSEE OR A THIRD PARTY THAT IS ACCESSED THROUGH THE PRODUCT AND/OR ANY MATERIAL LINKED THROUGH SUCH CONTENT.

7. HIGH RISK ACTIVITIES. The Product is not fault-tolerant and is not designed, manufactured or intended for use or resale as on-line control equipment in hazardous environments requiring fail-safe performance, such as in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, direct life support machines, or weapons systems, in which the failure of the Product could lead directly to death, personal injury, or severe physical or environmental damage ("High Risk Activities"). Accordingly, Integral Systems and its suppliers specifically disclaim any express or implied warranty of fitness for High Risk Activities. Licensee agrees that Integral Systems and its suppliers will not be liable for any claims or damages arising from the use of the Product in such applications.

10. MISCELLANEOUS. (a) This Agreement constitutes the entire agreement between the parties concerning the subject matter hereof. (b) This Agreement may be amended only by a writing signed by both parties. (c) If any provision in this Agreement should be held illegal or unenforceable by a court having jurisdiction, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or severed from this Agreement if no such modification is possible, and other provisions of this Agreement shall remain in full force and effect. (d) A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, shall not waive such term or condition or any subsequent breach thereof. (e) The provisions of this Agreement which require or contemplate performance after the expiration or termination of this Agreement shall be enforceable notwithstanding said expiration or termination. (f) Licensee may not assign or otherwise transfer by operation of law or otherwise this Agreement or any rights or obligations herein except in the case of a merger or the sale of all or substantially all of Licensee's assets to another entity. (g) This Agreement shall be binding upon and shall inure to the benefit of the parties, their successors and permitted assigns. (h) Neither party shall be in default or be liable for any delay, failure in performance (excepting the obligation to pay) or interruption of service resulting directly or indirectly from any cause beyond its reasonable control. (i) The relationship between Integral Systems and Licensee is that of independent contractors and neither Licensee nor its agents shall have any authority to bind Integral Systems in any way. (j) Integral Systems may change the terms of this Agreement from time to time. By continuing to use the Product beyond a period of 30 days after notice of such change has been provided on a public website of Integral Systems or its affiliate for the first time, Licensee signifies its consent to the revised terms.


Distribution

This is a beta version of the program and it is distributed for free. All the other versions of NetSpider (including the final version) are beginning with 1 and are also for free. You can distribute all the free versions of NetSpider by any way (Internet, floppy disk, CD-ROM, DVD-ROM etc.), but only for free. If you make CD-ROM or other media with collection of freeware and shareware programs and sell this media, you must write on any convenient place (with easy access), that this program is a freeware, and publish the WEB address of NetSpider homepage. This information can be placed in the installation menu of your media or as a text file (as readme.txt for example) in the same directory with the installation file of NetSpider.

This program must be distributed only with the original installation files and must be installed from it. Copying of the installed program from one computer to another may cause the program not to work on the destination computer.


Contacts

You can contact the author of this program at the following addresses:

Postal address:

ILIEV N I MR

P O BOX 5226

CRESTA 2118

JOHANNESBURG

SOUTH AFRICA

E-mail address:

intsys@global.co.za

nikolay@global.co.za


Overview

NetSpider Overview

Future of NetSpider 		This pages are showing a short overview of the program. Before you read the help it is recommended to take a brief look to the screenshot.


Primary Purpose

The main task of the NetSpider is to make it easy to browse and download a large amount of files. NetSpider offers a powerful link filtering, which allows you to view or download only files from specified types. The program also offers a detailed download progress information, broken download resuming, file categorization. All these features are making the program very convenient for file downloading. The program also supports writing of all the current information in a file for a later use and options for saving which allow for offline browsing.

It is recommended to take a brief look at the Screenshot of the program.


Components

NetSpider Components

Page URL Box

Links Filtering Pane

Downloads Categories Pane
The program is consistent of five panes and one box, which work in conjunction. Each of these components can be hidden or displayed. For further description go to the relevant page.


Page URL Box

Page URL Box is used for manual adding of page URL to Pages Pane. Simple type URL (only for HTTP and FTP protocols are accepted) and press ENTER to add new page. New pages are added after the last page in Pages Pane as root page. If you want to see links on the newly added page, click over it.


Pages Pane

Pages pane contain tree of pages. This pages can be added in several ways for which you can learn more from Adding WEB pages. If you want to see links on any page, simple click over it. If a page has already been downloaded links will be displayed immediately, but if it hasn't been downloaded, page will be requested at this time from Internet and this can take some time. The status of the selected page can be seen in the left most field of the program Status bar. The Pages pane has associated menu. For more information about it refer to Pages Menu.


Links Filtering Pane

The Links Filtering pane consists of two main groups: Links and Locals. Links are all the references to outside resources. Locals are references to resources building the page itself. Each of these groups contains identical structure of subgroups. Each subgroup can contain different file types.

New file types can be added, the existing can be edited or removed. For more information refer to Add new type , Edit type info and Remove type .

New subgroups can be added, the existing can be edited or removed, except for the Unknown subgroup which contains all the links to resources which do not belong to any of the remaining subgroups. For more information refer to Add new group , Edit group info and Remove group .

The purpose of the Links Filtering pane is to filter the links on the pages so you can see only the desired link types in the Links Pane. By ticking and unticking the checkboxes in front of the items you can make your choice which types of links to see in the Links Pane.


Links Pane

The Links Pane contains links residing on the currently selected page, dependant on the applied filtering in the Links Filtering Pane.

This pane contains four columns:

  • Link URL - URL of the link

  • Type - the type which the link belongs to.

  • Ref. (reference) - either local or link. Local means that the URL is referring to a resource which is part of the page itself, while link is referring to a resource which is not part of the page.

  • Description - usually this is the text which you see in the browser representing a link.


Downloads Categories Pane

Downloads Pane

It displays the files from the selected category. Downloads Pane is divided into the following columns:

  • Name - name used to save the file on the local computer.

  • Size - size of the file in bytes

  • Downloaded - downloaded size in bytes

  • Complete - completion percentage

  • Time Left - estimated remaining time

  • ~BPS - average speed of download in bites per second

  • Retry - current retry attempt

  • Status - current status of the file

  • Last Error - last error message

When you save the list and reopen it, the last two columns Status and Last Error are always blank.


Downloads Pane

Downloads Categories Pane

Download Categories Pane contain categories in which files for download are placed. It consist of four main categories:

  • Categories - this is the root of all user defined categories. You can add files to this category. The download folder for files in this category is the default program download folder.

  • All categories - it contains all the files from all categories without the completed ones.

  • Downloading - this category contains files currently in downloading progress.

  • Completed - this category contains all the completely downloaded files.


Screenshot


Future of NetSpider

In future NetSpider will be expanded with additional features. In the next free version are planed following additions:

  • Processing HTML pages saved on local hard drive

  • Dial-up support (dialing and disconnecting from inside the program)

  • Additional information will be displayed on status bar

  • Adding series of files (for example from pic01.jpg to pic50.jpg) with few clicks.

  • Checking for updates and automatic downloading it

  • Downloading complete pages for offline viewing

In version 2.0 (this version will be shareware) are planed following additions:

  • Site downloading - this mean that all content of particular site can be downloaded to local storage for offline browsing

  • Pictures preview (jpg and gif only) - this is useful for previewing thumbnails.

  • Previewing pages (instead only links on pages) and dragging directly from the preview pane to the download pane.

  • Download scheduling

  • Powerful Internet search

  • Designing open interface for adding DLLs for previewing content (this will be useful for streaming file types because you will be able for example to listen first 20 already downloaded seconds of an MP3 or VQF file and decide whether to continue if you have MP3 or VQF decoder extension of course ).

  • Implementing file and page cache.

If you have any suggestions for future versions please write me about it. For contact information refer to Contacts page.


Using NetSpider

Adding WEB pages

Using Files Categories
Adding Files for Download

Using NetSpider List File
Using View Options
Tips and Tricks 		There is a short tutorial how to work with NetSpider. Reading of this tutorial can help you to understand many of the possibilities of the program without spending lots of time.


Adding WEB Pages

There are several ways to add pages to the Pages Pane:

  • Type the page URL in the Page URL Box above the Pages Pane and press Enter to add the URL to the list.
  • Paste a page from the clipboard by selecting Paste command from the Pages Menu or from Toolbar.
  • Drag a link to the Pages Pane from the Links Pane.
  • Drag links category from the Links Filtering Pane to the Pages Pane, in which case all files belonging to the category will be moved to the Pages Pane.
  • Drop a page URL from an outside program to the Pages Pane.

You can select links category from which all the files will be moved automatically to the Pages Pane. For more information about this refer to Automation Settings.


Filtering Links

Filtering link is useful when you want to see only links from particular types. You can use Links Filtering Pane to setup your filter. You can define your own link types and categories and use it later to filter output links.

Links Filtering Pane has two root nodes - Links and Locals. Each of this nodes contain all links categories and each link category contain all link types belonging to the category.

Links node and all child nodes are used to filter all links to outside resources (resources which is not part of the page itself). On other side Locals contain all links to resources that are part of the current page.

You can make your choice which links types to see be ticking the relevant items. Links Pane is updated after each change in Links Filtering Pane.

When you tick any node that has children nodes, all child nodes will be ticked also.


Using Files Categories

File Categories are used to divide files for downloading on separate groups. There are four hard-defined groups which you can't be changed or removed. These groups are:

  • Categories - the root of all the user defined groups. You can add files to this category. Files from this category will be downloaded in a program Default Download Folder and the maximum number of simultaneous connection is limited to program Maximum Download Connections at a Time (both specified in Download Settings). All the user categories that will be created will be situated under this category.

  • All Categories - this category contains all the files in all categories (without completely downloaded ones). Files cannot be added to this category.

  • Downloading - all the files in current download progress are in this category.

  • Completed - this category contains files already completed the download. The content of this category is no longer need and can be removed from time to time.

You can create your own categories and specify different settings for them (download folder, connection limit etc.). The Categories are useful for dividing files into groups by types, by server etc. The categories can be also used for automation of files addition from the clipboard and from Links Pane. For more information about how to automate file addition process refer to Category Information.


Adding Files for Download

Files for downloading can be added in several ways:

  • Select the files you wish to download from the Links pane, then drag and drop them into the File pane. Instead of drag and drop you can use Move for download command from Links menu.
  • Paste an URL from the clipboard. An URL can be copied from a browser (like Netscape or Internet Explorer) or from other places. In this way you can add files for download without processing the pages, where the links to these files reside. There are commands for pasting files for download in the Downloads menu and in the Toolbar.
  • Drag categories of links from the Links Filtering Pane and drop to Downloads Pane.
  • Drag group of links from the Links Filtering Pane and drop to Downloads Categories Pane.
  • Drag files from outside programs into Downloads Pane or Downloads Categories Pane.
  • Automatically grab links from Links Pane from the selected types. For more information refer to Downloads Categories Pane.
  • Automatically grab links from clipboard. For more information refer to Downloads Categories Pane.


Downloading Files

Downloading can be started automatically or manually. If you want all the files added to the file list to be downloaded (marked for download) immediately, you must check the option "Automatic download" in Download Settings. If you want to request the sizes of all the files added to downloads list check the option "Get file size" from Download Settings.

If the option Automatic download is off you can start the downloading by the following ways:

  • If you want to mark all the files from the Downloads Pane for download you can select from the Downloads Menu the command Download all Files .
  • If you want to download only some files from the Files pane, you must select them and then select Download from Downloads Menu.
  • If you want to download a whole category of files right click over the desired category and select Download All Files command.


Using NetSpider List File

Using NetSpider List Files

NetSpider can save all the files queued for downloading and all the pages from the Pages Pane in a file with extension "nsl". This file can be opened later in NetSpider and you can continue working with pages or downloading files which were previously saved in it.

In a normal case in the file will be saved only the root pages from Pages Pane and all the files from all categories from Downloads Pane, but you can use two additional options for saving these files. These options are the following:

  • Save Child Pages in List File - this options allow all pages in Pages Pane to be saved in a list. This means, that when you open the list again all pages will be restored as the last time when the list was saved.

  • Save Links on Downloaded Pages in the List File - this option allows you to save the links to all of the already downloaded pages in a list file.

These options are useful when you want to browse the pages offline, but you can keep in mind that the list file size can grow dramatically if you have lots of pages and sub-pages and/or lots of links on these pages. These options can be found in Other Settings dialog box.


Using View Options

You can control the program appearance via View Menu or the relevant Toolbar buttons. Any of the panes in the program can be shown or hided at any time without reflecting the program tasks. For example if you hide Downloads Pane during files download progress files will not stop to download, but you can't see the progress information.

Other functionality of NetSpider is the ability to change the size of each pane. You can resize panes according to your needs and al the changes will be remembered after the program is closed. This mean, that when you start the program its appearance will be the same as before you closed it for a last time.


Tips and Tricks

  • Drop a URL from an outside program over a category in Downloads Categories Pane or over Downloads Pane.

  • Check the option allowing you to save a web page with a title instead of the original name. The option is in Other Settings page in the Settings.

  • Check Automatic Download option in the Download Settings page in the Settings to mark automatically the files for download.

  • Use the Show/Hide buttons from the toolbar in order to show or hide any pane from the program at any time.

  • Use the NetSpider icon on the task bar (next to the clock) in order to add pages for processing or files for downloading.

  • Use the splitter bars to change the size of the panes according to your own preferences.

  • Use the header buttons of the Downloads Pane and Links Pane to sort their content.

  • Check two List Save Options from Other Settings page in the Settings dialog to be able to browse the web pages offline.


NetSpider Menus

Links Filtering Menu

Files Categories Menu

These are all submenus of the main menu. Some of these menus can be called as popup menus over the relevant panes. For more information about a specific menu, refer to the relevant page.


File Menu

NetSpider File Menu

Save List As
File menu contains commands for working with NetSpider List Files (*.nsl) and command for exiting the program. For further information refer to the relevant links.


New List

New List (File menu command)

With this command you can create a new empty list. NetSpider list consists of two fundamental parts - list of pages and list of files for download.

Remark: When the program starts and no list is loaded, it automatically creates a new empty list.

Availability: Always available


Open List

Open List (File menu command)

With this command you can open an existing list previously saved with NetSpider. All NetSpider lists are with extension "nsl". You can open a list by double clicking over "nsl" file in Windows Explorer.

Because there is always an open list, when you open the list, you will be prompted to save the current list. If you confirm the saving, the current list will be saved.

Availability: Always available


Save List

Save List (File menu command)

With this command you can save the current list to a file. If you are saving the list for a first time this command is acting like command. If the list has already been saved, the list will be resaved with the same file name and location.

In Automation Settings page from NetSpider Settings dialog box you can enable the options for automatically saving NetSpider list on a specific interval of time.

This command can be used at any time regardless whether there are downloads or other progress operations. The current status of the files and the pages will be saved in this list. If a file is partially downloaded, it will be marked as downloaded to the current position and all the received bytes after the saving will not be written as downloaded in the list.

To avoid this situation you can save the list only after stopping all the downloads, or save it before starting or after finishing all downloads for the session.

If you want to save the list with other name or in other directory refer to Save List As command.

Availability: always available


Save List As

Save List As...(File menu command)

This command is the same as Save List, but with an ability to change the name of the file containing the list. After executing this command you will be prompted for a new file name and location of the file. If the list has already been saved with a previous file name, the previous file will not be affected from this operation. After saving the list with a new file name, this name will be used in future Save list operations.

Availability: always available


Exit NetSpider

Exit NetSpider (File menu command)

I don't recommend to do this ! This is a joke of course.

With this command you can exit from NetSpider. You will be asked whether you really want to exit or you have a mistake, and whether you want to save the current list in a file. After confirmation of this operation NetSpider will be closed in next few seconds.

Good bye !

Availability: always available


Pages Menu

NetSpider Pages Menu

Edit Page URL

Remove All Pages

This menu is situated in the main menu, but could be also called with right-click over the Pages Pane. It contains commands for pages manipulation. For further information refer to the relevant pages.


Reload Page

Reload (Pages menu command)

With this command you can reload the page from the Pages Pane.

Availability: when right-clicked over any not currently downloading page.


Stop Page

Stop (Pages menu command)

This command is used to stop downloading of highlighted page. This mean that the links of the page will be not shown in Links Pane.

Availability: when highlighted page is in download progress


Edit Page URL

Edit Page URL (Pages menu command)

With this command you can edit the URL (Uniform Resource Locator) of the currently highlighted page. When you click on this command you will be prompted to enter a new (or edit the existing) URL for the page. If you confirm your edition with OK, a new URL will be assigned to the page and all of the following operations will be performed over this page with the new URL. You must enter only valid URL's !

Availability: when right-click over any page.


Remove Page

Remove (Pages menu command)

With this command you can remove the currently highlighted page. If the page is currently selected, the selection will be moved to the previous page and the previous page will be reloaded. You can stop the reloading with the Stop command. The page removing will not affect in any way the files in the download pane.

Availability: when right-click over any page.


Remove All Pages

Remove All (Pages menu command)

With this command you can remove all the pages (also the sub-pages) from the Pages Pane. This action causes the removal of all the links from the Links Pane. This command will not affect in any way the files in the Downloads Pane.

Availability: always


Cut Page

Cut (Pages menu command)

With this command you can cut the currently marked page to the clipboard. Only the URL of the page in a text format will be cut. Therefore you can paste the URL of this page in any other program. If the page is also currently selected, this operation will cause the downloading of the page to stop, it will remove all the links from the links pane and it will move the current selection to the previous page. Moving the selection will cause reloading of the new selected page.

Availability: when right-click over any page.


Copy Page

Copy (Pages menu command)

With this command you can copy the currently marked page to the clipboard. Only the URL of the page in a text format will be copied. Therefore you can paste this page in any other program. This operation will not affect anything in the program.

Availability: when right-click over any page.


Paste Page

Paste (Pages menu command)

With this command you can paste the page from the clipboard to the Pages Pane in NetSpider. The pasted page will be added to the end of the page tree as a root page. This operation will not affect the current operations with the other pages in the tree. If you want to load the pasted page simply click over it. Only pages beginning with "http" or "ftp" can be pasted.

Availability: if there is a valid URL in the clipboard (accepts only HTTP and FTP protocols).


Links Filtering Menu

NetSpider Links Filtering Menu

Add Link Type
Edit Link Type
Remove Link Type
Add Links Category
Edit Links Category
Remove Links Category 		This menu can be called from the main menu or by right-clicking over the Links Filtering Pane. For further information refer to the relevant page.


Add Link Type

Add Link Type (Links Filtering menu command)

Use this command to define new types of links. When selected, Link Type Information dialog box appears. In this dialog you can define the settings for the new link type. To see the links from the new type, tick the check box in front of the type name and the links will be displayed in the Links Pane.


Edit Link Type

Edit Link Type (Links Filtering menu command)

This command is used for editing the existing link type in Downloads Categories Pane. After selecting this command Link Type Information dialog will appear and settings for existing link type can be edited.


Remove Link Type

Remove Link Type (Links Filtering menu command)

With this command you can remove the highlighted link type name. After that, all the links belonging to this type will be displayed as from Unknown Link Type.

You can't remove Unknown Link Type.

Availability: when is highlighted link type name


Add Links Category

Add Links Category (Links Filtering menu command)

This command is used to add new links categories to the Links Filtering Pane. After selecting this command Links Category Information Dialog will appear and the settings for the new links category can be edited. After successful category creation you can thick it if you want to see the resources belonging to the types in this category.


Edit Links Category

Edit Links Category (Links Filtering menu command)

This command is used for editing the existing links category in Links Filtering Pane. After selecting this command Links Category Information Dialog will appear and settings for existing links category can be edited.


Remove Links Category

Remove Links Category (Links Filtering menu command)

This command is used to remove Link Category. This operation causes all Link Types under this category to be removed. This means that all the links belonging to types under removed category will be displayed as belonging to Unknown link types.

Unknown Link Category can't be removed.

Availability: when is highlighted link category name


Links Menu

NetSpider Links Menu

Move to Downloads
Move to Pages
Remove all Selected
Remove all but Selected
Remove all Links
Remove all Locals
Remove all Unknown

Select all Links
Invert Links Selection 		This menu can be called from the main menu or by right-clicking over Links Pane. It contains commands for manipulation over links. For further information refer to the relevant page.


Move to Downloads

Move to Downloads (Links menu command)

With this command you can move all the selected files from the Links Pane to the Downloads Pane. The links will be added to the category, which is setup to accept links from a specified extensions. If there isn't such a category existing the links will be added to the root of the Category (the link will not belong to any category). For more information how to setup a particular category refer to Category Information dialog.

Availability: when there is a selection in the Links Pane


Move to Pages

Move to Pages (Links menu command)

With this command you can move all the selected files from the Links Pane to the Pages Pane. The files will be added as child pages of the currently selected page and the selected page will be expanded if it hasn't been already. Then you can click over any of the moved pages to download from the web and see what links resides on it and etc.

If you want this operation to be done automatically with only some file types, you can create a file group that contain all the file types to move automatically and in the Automation Settings select this group. After this, all the pages from the types included in the selected group will be moved automatically to the Pages Pane.

Availability: when there is a selection in the Links Pane


Remove all Selected

Remove all Selected (Links menu command)

With this command you can remove all the selected links in the Links Pane.

Availability: when there are selected links


Remove all but Selected

Remove all but Selected (Links menu command)

With this command you can remove all the non selected links from the Links Pane.

Availability: when there are selected links


Remove all Links

Remove all Links (Links menu command)

With this command you can remove all the links for which Ref.=link. These links are for items that are not part of the selected page itself and will not affect its appearance. Examples for these items are links to other pages that reside on the selected page.

Availability: Always when there are links in the Links Pane


Remove all Locals

Remove all Locals (Links menu command)

With this command you can remove all the links for which Ref.=local. These links are for items that are usually part of the selected page. Examples for these items are all the pictures that page shows when loaded in the browser.

Availability: always when there are links in the Links Pane


Remove all Unknown

Remove all Unknown (Links menu command)

With this command you can remove all the links with an Unknown type (in column Type will show "Unknown"). These links are links to the files for which there is no defined Link Type or links to files without extensions.

Availability: Always when there are links in the Links Pane


Cut Links

Cut (Links menu command)

With this command you can cut all the selected links in the Links Pane to the clipboard. Only the URL (Uniform Resource Locator) of the links will be cut. If you select more than one link, the URL of the link will be placed on separate lines as a plain text.

Availability: When there are selected links in the Links Pane


Copy Links

Copy (Links menu command)

With this command you can copy all the selected links in the Links Pane to the clipboard. Only the URL (Uniform Resource Locator) of the links will be copied. If you select more than one link, the URL of the links will be placed on separate lines as a plain text.

Availability: When there are selected links in the Links Pane.


Select all Links

Select all Links (Links menu command)

With this command you can select all the links in the Links Pane.

Availability: Always when there are links in the links pane


Invert Links Selection

Invert Selection (Links menu command)

With this command you can invert the current selection in the Links Pane. If there is no current selection after this command all links will be selected.

Availability: Always when there are links in the links pane


Files Categories Menu

NetSpider Downloads Categories

Add Download Category
Edit Download Category
Remove Download Category
Download all Files
Stop all Files
Remove all Files 		There is a command for working with download categories. For further information refer to the relevant links.


Add Download Category

Add Category (Download Categories menu command)

This command is used for adding new category in Downloads Categories Pane under Categories node. After selecting this command Category Information dialog will appear and settings for the new category can be edited. After successful creating of a new category you can add files for downloading in it, by dragging them over the category name. If you want to see the files in some category click over it and they will appear in Downloads Pane.


Edit Download Category

Edit Category (Download Categories menu command)

This command is used for editing the existing category in Downloads Categories Pane. After selecting this command Category Information dialog will appear and settings for existing category can be edited.


Remove Download Category

Remove Category (Download Categories menu command)

With this command you can remove the highlighted download category. When you remove a category all the files in it will be also removed. If any part of these files is already downloaded and saved in the local storage it will be deleted (this is not applicable for Completed category).


Download all Files

Download all Files (Download Categories menu command)

With this command you can download all the files in the highlighted category.

Availability: always except if highlighted category is Downloading or Completed


Stop all Files

Stop all Files (Download Categories menu command)

With this command you can stop all files from currently highlighted download category. This command works on each category except Completed category.

Availability: always if highlighted category is not Completed category


Remove all Files

Remove all Files (Download Categories menu command)

With this command you can remove all files in highlighted category in Downloads Categories Pane. If parts of the removed files already been saved on local hard drive, it will be removed (except if files are removed from Completed category).

Availability: always when highlighted category in Downloads Categories Pane


Downloads Menu

NetSpider Downloads Menu

Remove from Downloads
Download all Files
Stop all Files
Remove all Files

This menu can be called from the main menu or by right-clicking over Downloads Pane. It contains commands for manipulation over files for download. For further information refer to the relevant page.


Download

Download (Download menu command)

With this command you can mark for download all the selected files. This doesn't mean that the files will be immediately requested from Internet. Only if the count of the currently downloading files is smaller than the maximum allowed to be downloaded at the same time, the files will be actually requested. In all the other cases files will be marked as waiting for download. Then they will wait to finish the previous downloads and will decrease the active connections count. Only then the files will be actually requested from Internet. This is made to prevent the system and connection from overloading. The number of simultaneous connections can be controlled via the program global options and download category options.

If the file is already marked for download, this command will do nothing (the downloading will not restart).

Availability: When there is a selected file in the Downloads Pane


Stop Downloading

Stop (Download menu command)

This command is used to stop the downloading of the selected files in Downloads Pane. If part of the files is already downloaded and saved on the local hard drive this part will be not removed.

Availability: when there are selected files in Downloads Pane


Remove from Downloads

Remove (Download menu command)

With this command you can remove the selected files from the Downloads Pane. If the files are in a download progress, they will be interrupted and removed from the local media if any part of them is already saved there.

Availability: When there are selected files


Download all Files

Download all (Download menu command)

This command is actually the same as Download and it acts in the same way as if you first select all the files and then click on Download.

Availability: Always when there are files in the Downloads Pane


Stop all Files

Stop all (Download menu command)

With this command you can stop all files currently shown in Downloads Pane. This mean that all files in the currently selected category will be stopped. Files from other categories are not affected by this command.

Availability: always


Remove all Files

Remove all (Download menu command)

With this command you can remove the selected files from the Downloads Pane. If the files are in a download progress, they will be interrupted and removed from the local media if any part of them is already saved there.

Availability: When there are selected files


Cut Files

Cut (Download menu command)

With this command you can cut all the selected files from the Downloads Pane to the clipboard. Only the URL (Uniform Resource Locator) of the files will be cut. If you select more than one file, the URL of the selected files will be placed on separated lines as a plain text. If the cut file is currently in a download progress, the download will be stopped. If any part of this file has already been saved to the local disk it will be removed.

Availability: When there are selected files in the Downloads Pane


Copy Files

Copy (Download menu command)

With this command you can copy all the selected files in the Downloads Pane to the clipboard. Only the URL (Uniform Resource Locator) of the files will be copied. If you select more than one file, the URL of the files will be placed on separated lines as a plain text.

Availability: When there are selected files in the Downloads Pane.


Paste File

Paste (Download menu command)

With this command you can paste the URL of the file from the clipboard. Only the URL referred to HTTP or FTP protocol will be accepted. The URL can be copied from any browser (Netscape, Internet Explorer etc.) or other program. All the rules for the file download operations over files moved in the Downloads Pane from the Links Pane, are valid, and also for files pasted from clipboard.

Availability: When there are URL available in the clipboard


Options Menu

NetSpider Options Menu

Always on Top
All commands in this menu have shortcuts in the toolbar. For more information about the commands go to the relevant pages.


Settings

Settings (Options menu command)

This command is used to bring up the Settings dialog box. This dialog box contain five pages with general program settings. For more information about it refer to NetSpider Settings.

Availability: always


Always on Top

Always on Top (Options menu command)

With this command you can make main NetSpider window to stay always on top, above all other windows, even if it is not currently active. This command is toggled - if the current state is not "always on top" and you click on this command, state will be changed to "always on top". And vice-versa, if current state is "always on top" and you click on this command, state will be changed to normal.

Availability: always


Monitoring Clipboard

Monitoring Clipboard (Options menu command)

When copying URL to the clipboard, the program always checks if there is a download group, which is setup to accept the links from the relevant type. If there isn't such a group and the option is on, the links will be added to the root of the Category. If the option is off the link will be ignored.


View Menu

NetSpider View Menu

There are commands for controlling the visibility of the program components. You can hide or show any of the NetSpider components at any time. For further information refer to the relevant links.


View Pages

View Pages (View menu commands)

This is a group consistent of three commands for controlling the visibility of the Pages Pane and Page URL Box. The Commands are as follows:

  • Hide Pages Pane and URL Box

  • Show Pages Pane Only (URL Box will be hidden)

  • Show Pages Pane and URL Box

The visibility of these components can be controlled from the relevant Toolbar button. Hiding of any program component will free up more space for components remaining visible, but you will not have access to some program functionality.


View Links

View Links (View menu commands)

This is a group consistent of three commands for controlling the visibility of the Links Pane and Links Filtering Pane. The commands are as follows:

  • Hide Links Pane and Links Filtering Pane

  • Show Links Pane Only (Links Filtering Pane will be hidden)

  • Show Links Pane and Links Filtering Pane

The visibility of these components can be controlled from the relevant Toolbar button. Hiding of any program component will free up more space for components remaining visible, but you will not have access to some program functionality.


View Downloads

View Downloads (View menu commands)

This is a group consistent of three commands for controlling the visibility of the Downloads Pane and Downloads Categories Pane. The commands are as follows:

  • Hide Downloads Pane and Downloads Categories Pane

  • Show Downloads Pane Only (Downloads Categories Pane will be hidden)

  • Show Downloads Pane and Downloads Categories Pane

The visibility of these components can be controlled from the relevant Toolbar button. Hiding of any program component will free up more space for components remaining visible, but you will not have access to some program functionality.


Help Menu

NetSpider Help Menu

NetSpider on the WEB
For further information about this commands refer to relevant page.


Help Content

Content (Help menu command)

Use this command to invoke the NetSpider Help.

Availability : always.


NetSpider on the WEB

NetSpider on the WEB (Help menu command)

With this command you can open home page of NetSpider in your default browser.

Availability: always


About NetSpider

About NetSpider... (Help menu command)

With this command you can open the About Box in which you can read about NetSpider and how to contact the author.

Availability: always


NetSpider Dialogs

Link Type Information
Links Category Info 		These are links to the pages describing the dialogs in the program.


Category information

Category Information Dialog

This dialog is used to change information about download category. The dialog contains the following fields:

  • Name - unique name of the category (required).

  • Download In - destination folder for downloaded files. Click Browse button to change the default folder.

  • Limit Number of Simultaneous Connections for Category - limits the number of files downloaded at the same time in the category

  • Icon Representing User Category - the icon will be displayed in front of the category's name in Downloads Categories Pane.

  • Automation - there are three options

    • Monitoring Clipboard for Files with Listed extensions - when you copy link to a file, which extension is listed, the link will be automatically added to the category.

    • Accept all Manual Moved Files to Download Pane with Listed Extensions - when you drop links to the Downloads Pane which extensions are listed, the links will be automatically added to the category, even if the category is not currently shown in the Downloads Pane.

    • Grab Files with Listed extensions from Links Pane - all links to files with listed extensions will be automatically moved from the Links Pane to the Downloads Pane.


Link Type Information

Link Type Information Dialog

This dialog contains information about link's type. It has the following fields available:

  • Type Name - user defined name, which will be used to display the type in Links Filtering Pane. It is recommended to write the extension anywhere in the name of the type.

  • Type Extension - this is the extension of the type.

  • Belong to Group - the group to which the type belongs.

  • Display Icon - the icon displayed in front of the type's name in Links Filtering Pane.


Links Category Info

Links Categoriy Information Dialog

This dialog is used to setup or edit information about Link category. It contains the following fields:

  • Name - the unique name of the category

  • Icon - icon which represents the category in the Links Filtering Pane.


Toolbar and Statusbar

NetSpider Toolbar and Statusbar

NetSpider has a toolbar and a statusbar which are always visible. For further information refer to the relevant links.


Toolbar

NetSpider Toolbar

The Toolbar has shortcut buttons for the most recent operation. All the buttons in the toolbar are shortcuts to menu commands with exception of tree buttons for changing program appearance. The Toolbar buttons are the following:

  • New List - shortcut to New List command

  • Open List - shortcut to Open List command

  • Save List - shortcut to Save List command

  • Paste Page - shortcut to Paste Page command

  • Paste File - shortcut to Paste File command

  • Monitoring Clipboard - shortcut to Monitoring Clipboard command

  • Always on Top - shortcut to Always on Top command

  • Show/Hide Pages - this button switch between tree view modes of Pages Pane and Page URL Box. For more information refer to View Pages commands group.

  • Show/Hide Links - this button switch between tree view modes of Links Pane and Links Filtering Pane. For more information refer to View Links commands group.

  • Show/Hide Downloads - this button switch between tree view modes of Downloads Pane and Downloads Categories Pane. For more information refer to View Downloads commands group.

  • Settings - shortcut to Settings... command

  • Help - shortcut to Help Content command

  • Exit - shortcut to Exit NetSpider command


Statusbar

NetSpider Statusbar

Status bar is placed at the bottom of the program main window. It is used to display status information and statistic about downloading. The status bar contains four fields:

  • The First field contains the download status of the currently selected page
  • The Second field contains the total number of received bytes from the current session
  • The Third field contains the average download speed in bit per second
  • The Fourth field (most right) contains the session duration


NetSpider Settings

This dialog contains global settings for the program divided to five page. You can edit them at any time. For further information refer to the relevant pages.


Connection Settings

  • Proxy - check which proxy you want to use, type user name and a password if you have one

  • Proxy servers - type the names and the ports of the proxy servers. The default port for HTTP is 80 and for FTP is 21.

  • Timeout Settings - this settings are affecting the time to return an error if any of the operations are not completed in the specified time.


Security Settings

Security servers are these servers which require a password to access their resources. You can automate the downloading of the files from this servers by adding one entry for each security server in the security server list with the server name, user name and thr password.

After this is done you can work without typing the user name and the password in the URL. If the password or user name are changed, simply change it in the security server list.


Download Settings

In this page you can specify program download settings. The following field are available:

  • Maximum Get Size Connections at Time - limits the number of simultaneous connections for retrieving file size at the same time.

  • Maximum Download Connections at a Time - limits the number of the simultaneous connections for downloading files at the same time.

  • Default Download Folder - specifying the default folder, in which files will be downloaded.

  • Buffer Size - files will be received on parts of this size. The size must be dividable to 256.

  • Retry Count - the number of retries made for every file.

  • Automatic Download - when you add file for download it will be automatically started to download.

  • Request File Size - when you add file for download size of the file will be requested from Internet.


Other Settings

There are three options in this page:

  • Save Child Pages in NetSpider List File - all child pages on all levels are written to the file. If you have a lot of pages the size of the file can grow too much.

  • Save Links on Downloaded Pages in NetSpider List File - all links on the already downloaded pages will be written in the file. If you have a lot of pages the size of the file can grow too much.

  • Save HTML Pages with Titles Instead of Original Names - if the downloaded page has a title, the file will be written with a title for a name.


Automation Settings

  • Automatic Move to Pages Pane - you can choose one links category and all links from this category will be automatically moved to the Pages Pane.

  • Auto Save File List - you can check this option if you want to save the file list on specific interval of time.

  • Auto Load Last Used File List on Program Startup - you can check this option if you want the last used list to be loaded at NetSpider startup.